## org.eclipse.datatools.modelbase.sql.query
Interface UpdateAssignmentExpression

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  UpdateAssignmentExpressionImpl

public interface UpdateAssignmentExpression
extends SQLQueryObject

A representation of the model object 'SQL Assignment Expression'.

The following features are supported:

- `Update Statement`
- `Target Column List`
- `Update Source`

See Also:
  `SQLQueryModelPackage.getUpdateAssignmentExpression()`

Method Summary
`EList` `getTargetColumnList()` Returns the value of the 'Target Column List' reference list.
`UpdateSource` `getUpdateSource()` Returns the value of the 'Update Source' containment reference.
`QueryUpdateStatement` `getUpdateStatement()` Returns the value of the 'Update Statement' container reference.
`void` `setUpdateSource(UpdateSource value)` Sets the value of the '`Update Source`' containment reference.
`void` `setUpdateStatement(QueryUpdateStatement value)` Sets the value of the '`Update Statement`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUpdateStatement

    public QueryUpdateStatement getUpdateStatement()

  Returns the value of the 'Update Statement' container reference. It is bidirectional and its opposite is '`Assignment Clause`'.

  If the meaning of the 'Update Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Statement' container reference.
  See Also:
    `setUpdateStatement(QueryUpdateStatement)`, `SQLQueryModelPackage.getUpdateAssignmentExpression_UpdateStatement()`, `QueryUpdateStatement.getAssignmentClause()`

### setUpdateStatement

    public void setUpdateStatement(QueryUpdateStatement value)

  Sets the value of the '`Update Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Update Statement' container reference.
  See Also:
    `getUpdateStatement()`

### getTargetColumnList

    public EList getTargetColumnList()

  Returns the value of the 'Target Column List' reference list. The list contents are of type `ValueExpressionColumn`. It is bidirectional and its opposite is '`Assignment Expr Target`'.

  If the meaning of the 'Target Column List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Column List' reference list.
  See Also:
    `SQLQueryModelPackage.getUpdateAssignmentExpression_TargetColumnList()`, `ValueExpressionColumn.getAssignmentExprTarget()`

### getUpdateSource

    public UpdateSource getUpdateSource()

  Returns the value of the 'Update Source' containment reference. It is bidirectional and its opposite is '`Update Assignment Expr`'.

  If the meaning of the 'Update Source' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Source' containment reference.
  See Also:
    `setUpdateSource(UpdateSource)`, `SQLQueryModelPackage.getUpdateAssignmentExpression_UpdateSource()`, `UpdateSource.getUpdateAssignmentExpr()`

### setUpdateSource

    public void setUpdateSource(UpdateSource value)

  Sets the value of the '`Update Source`' containment reference.

  Parameters:
    `value` - the new value of the 'Update Source' containment reference.
  See Also:
    `getUpdateSource()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.